{% load staticfiles %}
<link rel="stylesheet" href="{% static 'books/css/bootstrap.min.css' %}">
<link rel="stylesheet" href="{% static 'books/css/bootstrap-theme.min.css' %}">
<link href="{% static 'books/css/style.css' %}" rel="stylesheet" media="screen">
<script src="{% static 'books/js/jquery-3.1.1.min.js' %}"</script>
<script type="text/javascript">
	function addBookToOrder(book_id) {
		console.log('new book '+book_id);
		$.get('/books/'+book_id+'/order/', (res)=>{
			console.log(res);
			if (res.status == 'success')
				$('#order_count')[0].innerHTML = res.order_count;
			else
				alert('Error');
		})
	}
</script>

<nav class="navbar navbar-default ">
  <div class="container-fluid">
    <div class="navbar-header">
      <a class="navbar-brand" href="{% url 'books:index' %}">Books</a>
    </div>
    
	<div class="collapse navbar-collapse custom-shopping-cart">
 		<a class="glyphicon glyphicon-shopping-cart" href="{% url 'books:order_page' %}"></a>
 		<span id="order_count" class="custom-shopping-cart-count">{{ order_count }}</span>
	</div>
  </div>
</nav>

<div class="container">
	<div class="row">
		<div class="col-md-3 books-item-detail">
			<div class="books-title-detail">
				<h2>Detail info</h2>
			</div>
	    	<img class="img-responsive" src="{{ book.cover.url }}" alt="" onmouseover="$('.books-item-detail-zoom').css('display', 'inherit')"
	    		 onmouseleave="$('.books-item-detail-zoom').css('display', 'none')">
			<h4 class="books-title-detail">{{ book.title }}</h4>
	    	<p class="books-attributes">Author: {{ book.author }}</p>
	    	<p class="books-attributes">Year: {{ book.year_publishing }}</p>
	    	<p class="books-attributes">Themes: {{ book.themes }}</p>
			<p class="books-attributes">Price: {{ book.price }}$</p>
			<br>
			<p class="books-attributes">Description: {{ book.desc }}...</p>
			<input type="button" class="btn btn-success" value="Add to order" onclick="addBookToOrder({{ book.id }})"></input>
		</div>
		<div class="col-md-4 books-item-detail-zoom">
	    	<img class="img-responsive" src="{{ book.cover.url }}" alt="">
		</div>
	</div>
</div>
